apiVersion: apps/v1
kind: Deployment
metadata:
  name: skyway
  labels:
    app: skyway
spec:
  replicas: 2
  selector:
    matchLabels:
      app: skyway
  template:
    metadata:
      name: skyway
      labels:
        app: skyway
    spec:
      containers:
        - name: skyway
          image: clandsky/skyway:latest
          ports:
            - containerPort: 8080
          env:
            - name: "server.port"
              value: "8080"
            - name: "database.url"
              value: "jdbc:mysql://skyway-db:3306/db"
            - name: "database.port"
              value: "3306"
            - name: "database.user"
              value: "root"
            - name: "database.pass"
              value: "password"
            - name: "database.db"
              value: "db"
            - name: "server.podip"
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
---
apiVersion: v1
kind: Service
metadata:
  name: skyway-service
  labels:
    app: skyway
  annotations:
    service.beta.kubernetes.io/do-loadbalancer-protocol: "http"
    service.beta.kubernetes.io/do-loadbalancer-algorithm: "least_connections"
spec:
  type: LoadBalancer
  ports:
    - port: 8080
      targetPort: 8080
      name: skyway
  selector:
    app: skyway
